Bug 44776 - perl: Multiple issues (4.2)
perl: Multiple issues (4.2)
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Security updates
UCS 4.2
Other Linux
: P5 normal (vote)
: UCS 4.2-3-errata
Assigned To: Philipp Hahn
Arvid Requate
:
Depends on:
Blocks: 44775 45233 45754
  Show dependency treegraph
 
Reported: 2017-06-13 13:00 CEST by Arvid Requate
Modified: 2018-05-08 14:56 CEST (History)
0 users

See Also:
What kind of report is it?: Security Issue
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score: 4.7 (CVSS:3.0/AV:L/AC:H/PR:L/UI:N/S:U/C:N/I:H/A:N)
requate: Patch_Available+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Arvid Requate univentionstaff 2017-06-13 13:00:44 CEST
Upstream Debian package version 5.20.2-3+deb8u7 fixes:

* Race condition in the rmtree and remove_tree functions in the File-Path module before 2.13 for Perl allows attackers to set the mode on arbitrary files via vectors involving directory-permission loosening logic. (CVE-2017-6512)
Comment 1 Philipp Hahn univentionstaff 2017-09-25 08:21:25 CEST
5.20.2-3+deb8u9:
* heap buffer overflow flaw in the regular expression compiler, allowing a remote attacker to cause a denial of service via a specially crafted regular expression with the case-insensitive modifier (CVE-2017-12837)
* buffer over-read flaw in the regular expression parser, allowing a remote attacker to cause a denial of service or information leak (CVE-2017-12883)
Comment 2 Philipp Hahn univentionstaff 2018-01-25 10:59:59 CET
Mass-import from Debian-Security:
  python -m univention.repong.^Cbmirror -s jessie -r 4.2-3 --override=$HOME/REPOS/repo-ng/mirror/update_ucs42_mirror_from_debian.yml --errata=doc/errata --sql --process=ALL -vvvv --now=201801211553

YAML: git:bd6159834a..449aa5a7cf
Comment 3 Philipp Hahn univentionstaff 2018-04-16 16:19:14 CEST
[4.2-3] d5a5b2b5c2 Bug #44776: perl 5.20.2-3+deb8u10
 +CVE-2018-6913: 4.0 (CVSS:3.0/AV:L/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:L)

The patch 4.2-0-0-ucs/5.20.2-3+deb8u9*/010_break_old_spamassassin.patch was dropped as it only fixed a bug during the upgrade from UCS-4.1 to UCS-4.2, which already happened by now: <https://billy.knut.univention.de/websvn/filedetails.php?repname=patches&path=%2Fperl%2F4.2-0-0-ucs%2F5.20.2-3%2Bdeb8u9-errata4.2-3%2F010_break_old_spamassassin.patch>
Comment 4 Quality Assurance univentionstaff 2018-05-04 16:55:50 CEST
--- mirror/ftp/4.2/unmaintained/4.2-0/source/subversion_1.8.10-6+deb8u4.dsc
+++ apt/ucs_4.2-0-errata4.2-3/source/subversion_1.8.10-6+deb8u5.dsc
@@ -1,3 +1,9 @@
+1.8.10-6+deb8u5 [Wed, 09 Aug 2017 21:08:28 -0400] James McCoy <jamessan@debian.org>:
+
+  * patches/CVE-2016-8734: Unrestricted XML entity expansion in HTTP clients
+  * patches/CVE-2017-9800: Arbitrary code execution on clients through
+    malicious svn+ssh URLs in svn:externals and svn:sync-from-url
+
 1.8.10-6+deb8u4 [Wed, 27 Apr 2016 20:00:25 -0400] James McCoy <jamessan@debian.org>:
 
   + patches/CVE-2016-2167: svnserve/sasl may authenticate users using the
Comment 5 Quality Assurance univentionstaff 2018-05-04 16:55:54 CEST
--- mirror/ftp/4.2/unmaintained/4.2-0/source/libxml-libxml-perl_2.0116+dfsg-1+deb8u1.dsc
+++ apt/ucs_4.2-0-errata4.2-3/source/libxml-libxml-perl_2.0116+dfsg-1+deb8u2.dsc
@@ -1,3 +1,9 @@
+2.0116+dfsg-1+deb8u2 [Sat, 18 Nov 2017 14:14:08 +0100] Salvatore Bonaccorso <carnil@debian.org>:
+
+  * Team upload.
+  * CVE-2017-10672: Use-after-free by controlling the arguments to a
+    replaceChild call (Closes: #866676)
+
 2.0116+dfsg-1+deb8u1 [Fri, 01 May 2015 12:57:49 +0200] Salvatore Bonaccorso <carnil@debian.org>:
 
   * Team upload.
Comment 6 Quality Assurance univentionstaff 2018-05-04 16:55:56 CEST
--- mirror/ftp/4.2/unmaintained/4.2-0/source/perl_5.20.2-3+deb8u6A~4.2.0.201702152200.dsc
+++ apt/ucs_4.2-0-errata4.2-3/source/perl_5.20.2-3+deb8u10.dsc
@@ -1,7 +1,26 @@
-5.20.2-3+deb8u6A~4.2.0.201702152200 [Wed, 15 Feb 2017 22:00:34 +0100] Univention builddaemon <buildd@univention.de>:
+5.20.2-3+deb8u10 [Sat, 10 Mar 2018 20:36:19 +0200] Niko Tyni <ntyni@debian.org>:
 
-  * UCS auto build. The following patches have been applied to the original source package
-    010_break_old_spamassassin
+  * [SECURITY] CVE-2018-6913: heap buffer overflow with large data blocks.
+
+5.20.2-3+deb8u9 [Tue, 12 Sep 2017 20:00:57 +0300] Niko Tyni <ntyni@debian.org>:
+
+  * Update upstream base.pm no-dot-in-inc fix patch description.
+  * [SECURITY] CVE-2017-12837: Fix a heap buffer overflow in regular
+    expression compiler. (Closes: #875596)
+  * [SECURITY] CVE-2017-12883: Fix a buffer over-read in regular
+    expression parser.   (Closes: #875597)
+    + also includes a separate upstream fix from the 5.23 cycle
+
+5.20.2-3+deb8u8 [Tue, 11 Jul 2017 17:05:53 +0100] Dominic Hargreaves <dom@earth.li>:
+
+  * Apply upstream base.pm no-dot-in-inc fix (from 5.24.2-RC1)
+    (Closes: #867170)
+
+5.20.2-3+deb8u7 [Sat, 03 Jun 2017 13:11:53 +0100] Dominic Hargreaves <dom@earth.li>:
+
+  * [CVE-2017-6512] Fix file permissions race condition in File-Path;
+    patch from John Lightsey (Closes: #863870)
+  * Also fix test logic in ExtUtils-MakeMaker required for the above
 
 5.20.2-3+deb8u6 [Fri, 22 Jul 2016 16:30:45 +0100] Dominic Hargreaves <dom@earth.li>:
Comment 7 Arvid Requate univentionstaff 2018-05-07 13:06:47 CEST
* Obsolete UCS 4.2-0 specific patch dropped
* Comparison to previously shipped version ok
* Binary package update Ok
* Advisory Ok